Topics

A brief how to, please


TG9AOR
 

I am almost done reading all 240+ messages in this forum, while doing that I noticed a rough draft in the files section on how to set up Analog Bridge (wiki is empty) After setting up Analog Bridge.ARM and dmrlink as per the document, it then pointed me to the files that now live under the "Retired" folder /dmrlink/Retired(if I recall) but I was not able to conduct any more testing, but noticing these files were no longer in use left me practically at the starting point again.


If I want to make my own network, and  link my DVMega MMDVM and be able to listen to BrandMeister and Echolink and Allstar, what repos do I need to clone?

I have noticed some commands from N4IRS regarding git and the branches but since they were in response to other threads I just want to be sure what to download. I would then proceed to look over at the config files to fill in the blanks, and then post a question if I get stuck.

I have an Rpi3 with a DV3000u for this project.

Thanks for taking the time to read my post.

José Roberto Ruíz García Salas TG9AOR


--
José Roberto Ruíz García Salas
TG9AOR


Steve N4IRS
 

José,
Yes, to say the least the documentation has not kept up with the programs. My repository for Analog_Bridge was also behind. I have updated that. The install is using Debian apt and the instructions are here:
<https://dvswitch.groups.io/g/main/topic/updated_dvswitch_repository/18971786?p=,,,20,0,0,0::recentpostdate%2Fsticky,,,20,2,0,18971786>

Can you give us a better idea of what you are trying to do and we can help you get the right software.

73, Steve N4IRS

On 05/14/2018 04:30 PM, TG9AOR wrote:
I am almost done reading all 240+ messages in this forum, while doing that I noticed a rough draft in the files section on how to set up Analog Bridge (wiki is empty) After setting up Analog Bridge.ARM and dmrlink as per the document, it then pointed me to the files that now live under the "Retired" folder /dmrlink/Retired(if I recall) but I was not able to conduct any more testing, but noticing these files were no longer in use left me practically at the starting point again.


If I want to make my own network, and  link my DVMega MMDVM and be able to listen to BrandMeister and Echolink and Allstar, what repos do I need to clone?

I have noticed some commands from N4IRS regarding git and the branches but since they were in response to other threads I just want to be sure what to download. I would then proceed to look over at the config files to fill in the blanks, and then post a question if I get stuck.

I have an Rpi3 with a DV3000u for this project.

Thanks for taking the time to read my post.

José Roberto Ruíz García Salas TG9AOR


--
José Roberto Ruíz García Salas
TG9AOR


Michael Rickey (AF6FB)
 

I'm having problems with this as well.

The only place I've found that talks about installing anything is the post you mentioned. I'm able to get through the first part, when I run "apt-get install analog_bridge" I get the error "analog_bridge: Depends: libsoundio-dev but it is not installable".

Also, what folder are the config files in?

I'm running on Raspian Stretch

Thanks in advance,
Michael AF6FB


Steve N4IRS
 

your problem is fixed.
apt-get update
apt-get install analog-bridge

All applications and config files are installed in /opt as in /opt/Analog_Bridge

On 05/14/2018 07:19 PM, Michael Rickey (AF6FB) wrote:
I'm having problems with this as well.

The only place I've found that talks about installing anything is the post you mentioned. I'm able to get through the first part, when I run "apt-get install analog_bridge" I get the error "analog_bridge: Depends: libsoundio-dev but it is not installable".

Also, what folder are the config files in?

I'm running on Raspian Stretch

Thanks in advance,
Michael AF6FB


Michael Rickey (AF6FB)
 

That explains it. I was looking there, but I guess the install script doesn't put anything there. I'll give it another try after I get home.



Michael Rickey - AF6FB
949-298-0529 (voice, sms, allo, duo)




TG9AOR
 

Thank you, Steve, for your reply. I am interested in bridging  my Echolink node and BM DMRTG704. I would like to know if I would be able to link the conference created by your software to another node apart from mine (ie Node 654905). This would bridge the analog and digital system currently in place in Guatemala together.

Once I am able to get that going I would then be interested in looking at the NXDN reflector, but that is for later.

You guys have inspired me to learn Python, as G4KLX inspired me to learn Linux. All good examples, I thank you for that, as many others have stated in their posts.


73
--
José Roberto Ruíz García Salas
TG9AOR


Paul Nannery KC2VRJ
 

Guys,

I am having this same issues on Jessie



The following packages have unmet dependencies:
 analog-bridge : Depends: libsoundio-dev but it is not installable
E: Unable to correct problems, you have held broken packages.


any ideas?

On Mon, May 14, 2018 at 7:42 PM, Steve N4IRS <szingman@...> wrote:
your problem is fixed.
apt-get update
apt-get install analog-bridge

All applications and config files are installed in /opt as in /opt/Analog_Bridge

On 05/14/2018 07:19 PM, Michael Rickey (AF6FB) wrote:
I'm having problems with this as well.

The only place I've found that talks about installing anything is the post you mentioned. I'm able to get through the first part, when I run "apt-get install analog_bridge" I get the error "analog_bridge: Depends: libsoundio-dev but it is not installable".

Also, what folder are the config files in?

I'm running on Raspian Stretch

Thanks in advance,
Michael AF6FB



Steve N4IRS
 

Paul,
What hardware (arch) i386, amd64, armhf?
uname -a

73, Steve N4IRS

On 05/30/2018 03:16 AM, Paul Nannery KC2VRJ wrote:
Guys,

I am having this same issues on Jessie



The following packages have unmet dependencies:
 analog-bridge : Depends: libsoundio-dev but it is not installable
E: Unable to correct problems, you have held broken packages.


any ideas?

On Mon, May 14, 2018 at 7:42 PM, Steve N4IRS <szingman@...> wrote:
your problem is fixed.
apt-get update
apt-get install analog-bridge

All applications and config files are installed in /opt as in /opt/Analog_Bridge

On 05/14/2018 07:19 PM, Michael Rickey (AF6FB) wrote:
I'm having problems with this as well.

The only place I've found that talks about installing anything is the post you mentioned. I'm able to get through the first part, when I run "apt-get install analog_bridge" I get the error "analog_bridge: Depends: libsoundio-dev but it is not installable".

Also, what folder are the config files in?

I'm running on Raspian Stretch

Thanks in advance,
Michael AF6FB




Paul Nannery KC2VRJ
 

AMD 64 tried both debian 8 and ubuntu 14. My vps provider does not have debian 9 so I did not try that. 


On Wed, May 30, 2018, 6:32 AM Steve N4IRS <szingman@...> wrote:
Paul,
What hardware (arch) i386, amd64, armhf?
uname -a

73, Steve N4IRS

On 05/30/2018 03:16 AM, Paul Nannery KC2VRJ wrote:
Guys,

I am having this same issues on Jessie



The following packages have unmet dependencies:
 analog-bridge : Depends: libsoundio-dev but it is not installable
E: Unable to correct problems, you have held broken packages.


any ideas?

On Mon, May 14, 2018 at 7:42 PM, Steve N4IRS <szingman@...> wrote:
your problem is fixed.
apt-get update
apt-get install analog-bridge

All applications and config files are installed in /opt as in /opt/Analog_Bridge

On 05/14/2018 07:19 PM, Michael Rickey (AF6FB) wrote:
I'm having problems with this as well.

The only place I've found that talks about installing anything is the post you mentioned. I'm able to get through the first part, when I run "apt-get install analog_bridge" I get the error "analog_bridge: Depends: libsoundio-dev but it is not installable".

Also, what folder are the config files in?

I'm running on Raspian Stretch

Thanks in advance,
Michael AF6FB




Steve N4IRS
 

Paul,
Try a apt-get update
then apt-get install analog-bridge

I wont be able to test it on Jessie for about 2 hours. Let me know the results.

Steve

On 05/30/2018 06:34 AM, Paul Nannery KC2VRJ wrote:
AMD 64 tried both debian 8 and ubuntu 14. My vps provider does not have debian 9 so I did not try that. 

On Wed, May 30, 2018, 6:32 AM Steve N4IRS <szingman@...> wrote:
Paul,
What hardware (arch) i386, amd64, armhf?
uname -a

73, Steve N4IRS

On 05/30/2018 03:16 AM, Paul Nannery KC2VRJ wrote:
Guys,

I am having this same issues on Jessie



The following packages have unmet dependencies:
 analog-bridge : Depends: libsoundio-dev but it is not installable
E: Unable to correct problems, you have held broken packages.


any ideas?

On Mon, May 14, 2018 at 7:42 PM, Steve N4IRS <szingman@...> wrote:
your problem is fixed.
apt-get update
apt-get install analog-bridge

All applications and config files are installed in /opt as in /opt/Analog_Bridge

On 05/14/2018 07:19 PM, Michael Rickey (AF6FB) wrote:
I'm having problems with this as well.

The only place I've found that talks about installing anything is the post you mentioned. I'm able to get through the first part, when I run "apt-get install analog_bridge" I get the error "analog_bridge: Depends: libsoundio-dev but it is not installable".

Also, what folder are the config files in?

I'm running on Raspian Stretch

Thanks in advance,
Michael AF6FB





Paul Nannery KC2VRJ
 

I am waiting on Debian to spin back up I had ubuntu running to see if that worked. on ubuntu 14.4 I now get 

The following packages have unmet dependencies:
 analog-bridge : Depends: libsound2 but it is not installable
E: Unable to correct problems, you have held broken packages.

ill try Debian 8 as soon as it finishes the install 

On Wed, May 30, 2018 at 7:01 AM, Steve N4IRS <szingman@...> wrote:
Paul,
Try a apt-get update
then apt-get install analog-bridge

I wont be able to test it on Jessie for about 2 hours. Let me know the results.

Steve

On 05/30/2018 06:34 AM, Paul Nannery KC2VRJ wrote:
AMD 64 tried both debian 8 and ubuntu 14. My vps provider does not have debian 9 so I did not try that. 

On Wed, May 30, 2018, 6:32 AM Steve N4IRS <szingman@...> wrote:
Paul,
What hardware (arch) i386, amd64, armhf?
uname -a

73, Steve N4IRS

On 05/30/2018 03:16 AM, Paul Nannery KC2VRJ wrote:
Guys,

I am having this same issues on Jessie



The following packages have unmet dependencies:
 analog-bridge : Depends: libsoundio-dev but it is not installable
E: Unable to correct problems, you have held broken packages.


any ideas?

On Mon, May 14, 2018 at 7:42 PM, Steve N4IRS <szingman@...> wrote:
your problem is fixed.
apt-get update
apt-get install analog-bridge

All applications and config files are installed in /opt as in /opt/Analog_Bridge

On 05/14/2018 07:19 PM, Michael Rickey (AF6FB) wrote:
I'm having problems with this as well.

The only place I've found that talks about installing anything is the post you mentioned. I'm able to get through the first part, when I run "apt-get install analog_bridge" I get the error "analog_bridge: Depends: libsoundio-dev but it is not installable".

Also, what folder are the config files in?

I'm running on Raspian Stretch

Thanks in advance,
Michael AF6FB






Santu OTTAVI (TK1BI)
 

Hi,

Le 30/05/2018 à 12:32, Steve N4IRS a écrit :
What hardware (arch) i386, amd64, armhf?
What about opening the source in a GitHub ? This would make things much easier ;-)

73 de TK1BI


Steve N4IRS
 

Paul,
Please do a
apt-get update
then apt-get install analog-bridge



On 5/30/2018 7:13 AM, Paul Nannery KC2VRJ wrote:
I am waiting on Debian to spin back up I had ubuntu running to see if that worked. on ubuntu 14.4 I now get 

The following packages have unmet dependencies:
 analog-bridge : Depends: libsound2 but it is not installable
E: Unable to correct problems, you have held broken packages.

ill try Debian 8 as soon as it finishes the install 

On Wed, May 30, 2018 at 7:01 AM, Steve N4IRS <szingman@...> wrote:
Paul,
Try a apt-get update
then apt-get install analog-bridge

I wont be able to test it on Jessie for about 2 hours. Let me know the results.

Steve

On 05/30/2018 06:34 AM, Paul Nannery KC2VRJ wrote:
AMD 64 tried both debian 8 and ubuntu 14. My vps provider does not have debian 9 so I did not try that. 

On Wed, May 30, 2018, 6:32 AM Steve N4IRS <szingman@...> wrote:
Paul,
What hardware (arch) i386, amd64, armhf?
uname -a

73, Steve N4IRS

On 05/30/2018 03:16 AM, Paul Nannery KC2VRJ wrote:
Guys,

I am having this same issues on Jessie



The following packages have unmet dependencies:
 analog-bridge : Depends: libsoundio-dev but it is not installable
E: Unable to correct problems, you have held broken packages.


any ideas?

On Mon, May 14, 2018 at 7:42 PM, Steve N4IRS <szingman@...> wrote:
your problem is fixed.
apt-get update
apt-get install analog-bridge

All applications and config files are installed in /opt as in /opt/Analog_Bridge

On 05/14/2018 07:19 PM, Michael Rickey (AF6FB) wrote:
I'm having problems with this as well.

The only place I've found that talks about installing anything is the post you mentioned. I'm able to get through the first part, when I run "apt-get install analog_bridge" I get the error "analog_bridge: Depends: libsoundio-dev but it is not installable".

Also, what folder are the config files in?

I'm running on Raspian Stretch

Thanks in advance,
Michael AF6FB







Paul Nannery KC2VRJ
 

Steve,

Thank you for your help it installed now to make it all play nice


Steve N4IRS
 

Happy to help. It allowed me to find and fix a issue. I'm building everything on Jessie for now so bith Jessie and Stretch are supported.

Steve

On 5/30/2018 12:35 PM, Paul Nannery KC2VRJ wrote:
Steve,

Thank you for your help it installed now to make it all play nice


Paul Nannery KC2VRJ
 

I have a low cost vps cloud at cost. Not the best but works however my OS choice is very limited. 


On Wed, May 30, 2018, 12:37 PM Steve N4IRS <szingman@...> wrote:
Happy to help. It allowed me to find and fix a issue. I'm building everything on Jessie for now so bith Jessie and Stretch are supported.

Steve

On 5/30/2018 12:35 PM, Paul Nannery KC2VRJ wrote:
Steve,

Thank you for your help it installed now to make it all play nice